<script>
  import { onMount } from "svelte";

  export let open;
  export let key;

  let tidHead;
  let tidArrow;
  let style;
  onMount(async () => {
    tidHead = `accordion-header-tid-${key}`;
    tidArrow = `accordion-header-arrow-tid-${key}`;
  });
  $: style = open ? "arrowUp" : "arrowDown";
</script>

<style>
  .header {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 52px;
  }

  .arrow-right:before {
    float: right;
    color: #f32656;
    font-size: 18px;
    content: "\F006";
    font-family: "fontello";
  }

  .arrowUp:before {
    float: right;
    color: #f32656;
    font-size: 16px;
    content: "\F005";
    font-family: "fontello";
  }

  .arrowDown:before {
    float: right;
    color: #f32656;
    font-size: 16px;
    content: "\F004";
    font-family: "fontello";
  }
</style>

<div on:click class="header" id={tidHead} data-testid={tidHead}>
  <slot>Header</slot>
  <span class={style} data-testid={tidArrow} />
</div>
